Bug 171264 - Enable expired-only reload policy on Mac and iOS
Summary: Enable expired-only reload policy on Mac and iOS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-04-25 02:06 PDT by Antti Koivisto
Modified: 2017-04-27 12:13 PDT (History)
14 users (show)

See Also:


Attachments
patch (3.52 KB, patch)
2017-04-25 02:14 PDT, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews105 for mac-elcapitan-wk2 (877.90 KB, application/zip)
2017-04-25 03:23 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (5.86 MB, application/zip)
2017-04-25 03:56 PDT, Build Bot
no flags Details
patch (6.35 KB, patch)
2017-04-25 04:54 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (6.30 KB, patch)
2017-04-25 05:08 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (12.52 KB, patch)
2017-04-26 05:22 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2017-04-25 02:06:34 PDT
Enable the new policy.
Comment 1 Radar WebKit Bug Importer 2017-04-25 02:08:33 PDT
<rdar://problem/31807637>
Comment 2 Antti Koivisto 2017-04-25 02:14:20 PDT
Created attachment 308076 [details]
patch
Comment 3 Build Bot 2017-04-25 03:23:58 PDT
Comment on attachment 308076 [details]
patch

Attachment 308076 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/3600696

New failing tests:
fast/dom/navigation-type-reload.html
fast/loader/display-image-unset-can-block-image-and-can-reload-in-place.html
fast/loader/reload-policy-delegate.html
Comment 4 Build Bot 2017-04-25 03:23:59 PDT
Created attachment 308080 [details]
Archive of layout-test-results from ews105 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 5 Build Bot 2017-04-25 03:56:11 PDT
Comment on attachment 308076 [details]
patch

Attachment 308076 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3600732

New failing tests:
fast/dom/navigation-type-reload.html
fast/loader/display-image-unset-can-block-image-and-can-reload-in-place.html
fast/loader/reload-policy-delegate.html
Comment 6 Build Bot 2017-04-25 03:56:12 PDT
Created attachment 308087 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 7 Antti Koivisto 2017-04-25 04:54:58 PDT
Created attachment 308091 [details]
patch
Comment 8 Antti Koivisto 2017-04-25 05:08:12 PDT
Created attachment 308093 [details]
patch
Comment 9 WebKit Commit Bot 2017-04-25 07:14:03 PDT
Comment on attachment 308093 [details]
patch

Clearing flags on attachment: 308093

Committed r215730: <http://trac.webkit.org/changeset/215730>
Comment 10 WebKit Commit Bot 2017-04-25 07:14:05 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Matt Lewis 2017-04-25 16:45:50 PDT
Layout Test:

fast/loader/display-image-unset-can-block-image-and-can-reload-in-place.html

is a flaky timeout on Mac Debug WK1 after this change

https://build.webkit.org/results/Apple%20El%20Capitan%20Debug%20WK1%20(Tests)/r215764%20(781)/results.html
Comment 12 Ryan Haddad 2017-04-25 17:07:18 PDT
Reverted r215730 for reason:

The LayoutTest for this change is a flaky timeout on mac-wk1 debug.

Committed r215772: <http://trac.webkit.org/changeset/215772>
Comment 13 Antti Koivisto 2017-04-26 05:22:35 PDT
Created attachment 308237 [details]
patch
Comment 14 WebKit Commit Bot 2017-04-26 11:22:30 PDT
Comment on attachment 308237 [details]
patch

Clearing flags on attachment: 308237

Committed r215816: <http://trac.webkit.org/changeset/215816>
Comment 15 WebKit Commit Bot 2017-04-26 11:22:32 PDT
All reviewed patches have been landed.  Closing bug.
Comment 16 Alexander Romanovich 2017-04-27 11:03:09 PDT
I've noticed in testing this that the new policy is not used when the web inspector is open and foregrounded. As soon as I bring the browser window to the front and the web inspector to the back, and refresh again, it works (0 bytes transferred). Is that intentional? Seems like it would cause confusion.
Comment 17 Antti Koivisto 2017-04-27 11:55:45 PDT
Yeah, reload triggered from the inspector UI still validates everything. It might make sense to match the behaviour. Could you file a bug for that?
Comment 18 Alexander Romanovich 2017-04-27 12:13:22 PDT
Done. See https://bugs.webkit.org/show_bug.cgi?id=171385